;********************************************************************************;
;
;   Filename:           LabX_configs.asm
;   Date:               10/3/2006
;   File Version:       0005
; 
;   Author:             Stu Chandler, TTE
;   Company:            Microchip Technology, Inc.
;   Build Tool:         MPASM
;
;   Target Processor:   PIC16F877, PIC16F877A or PIC16F887              
;
;   Synopsys:           Configuration and ID information for selected processor
;                       controlled by IFDEF/ENDIF statements
; 
;********************************************************************************;

;=================================== HOUSEKEEPING
       
    IFDEF   __16F877                ; __<proc> is set by MPLAB-IDE when processor is selected
        #include p16F877.inc        ; include processor specific register definitions
        MESSG   "Processor is PIC16F877"
    ENDIF
        
    IFDEF   __16F877A               ; __<proc> is set by MPLAB_IDE when processor is selected
        #include p16F877a.inc       ; include processor specific register definitions
        MESSG   "Processor is PIC16F877A"
    ENDIF
    
    IFDEF   __16F887                ; __<proc> is set by MPLAB_IDE when processor is selected
        #include p16F887.inc        ; include processor specific register definitions
        MESSG   "Processor is PIC16F887"
    ENDIF

;=================================== ID LOCATION ASSIGNMENT

    __IDLOCS    0x12E5     	      	

        
;=================================== CONFIGURATION BIT ASSIGMENTS

;   The definitions and variants for the configuration bits are found in the
;   appropriage include file.
 
    IFDEF   __16F877         
        __CONFIG ( _RC_OSC & _WDT_OFF & _PWRTE_OFF & _BODEN_OFF & _CP_OFF & _LVP_OFF & _CPD_OFF & _WRT_ENABLE_ON  & _DEBUG_OFF )
    ENDIF
    
    IFDEF   __16F877A         
        __CONFIG ( _RC_OSC & _WDT_OFF & _PWRTE_OFF & _BODEN_OFF & _CP_OFF & _LVP_OFF & _CPD_OFF & _WRT_OFF  & _DEBUG_OFF )
    ENDIF
    
    IFDEF   __16F887         
        __CONFIG _CONFIG1, ( _EXTRC & _WDT_OFF & _PWRTE_OFF & _MCLRE_OFF & _CP_OFF & _CPD_OFF & _BOR_OFF & _IESO_OFF & _FCMEN_OFF & _LVP_OFF & _DEBUG_OFF )
        __CONFIG _CONFIG2, ( _WRT_OFF & _BOR21V )
    ENDIF 
    

;===================================
        
    END                                            
   
        
;*******************************************************************************;
;                 CODE OWNERSHIP AND DISCLAIMER OF LIABILITY                    ;
;                                                                               ;
; Microchip Technology Incorporated ("Microchip") retains all ownership and     ;
; intellectual property rights in the code accompanying this message and in all ;
; derivatives hereto.  You may use this code, and any derivatives created by    ;
; any person or entity by or on your behalf, exclusively with Microchips       ;
; proprietary products.  Your acceptance and/or use of this code constitutes    ;
; agreement to the terms and conditions of this notice.                         ;
;                                                                               ;
; CODE ACCOMPANYING THIS MESSAGE IS SUPPLIED BY MICROCHIP "AS IS". NO           ;
; WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED ;
; TO, IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A ;
; PARTICULAR PURPOSE APPLY TO THIS CODE, ITS INTERACTION WITH MICROCHIPS       ;
; PRODUCTS,COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.      ;
;                                                                               ;
; YOU ACKNOWLEDGE AND AGREE THAT, IN NO EVENT, SHALL MICROCHIP BE LIABLE,       ;
; WHETHER IN CONTRACT, WARRANTY, TORT (INCLUDING NEGLIGENCE OR BREACH OF        ;
; STATUTORY DUTY), STRICT LIABILITY, INDEMNITY,CONTRIBUTION, OR OTHERWISE, FOR  ;
; ANY INDIRECT, SPECIAL, PUNITIVE, EXEMPLARY, INCIDENTAL OR CONSEQUENTIAL LOSS, ;
; DAMAGE, FOR COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE CODE,       ;
; HOWSOEVER CAUSED, EVEN IF MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR    ;
; THE DAMAGES ARE FORESEEABLE.  TO THE FULLEST EXTENT ALLOWABLE BY LAW,         ;
; MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED; TO THIS CODE,   ;
; SHALL NOT EXCEED THE PRICE YOU PAID DIRECTLY TO MICROCHIP SPECIFICALLY TO     ;
; HAVE THIS CODE DEVELOPED.                                                     ;
;                                                                               ;
; You agree that you are solely responsible for testing the code and determining;
; its suitability.  Microchip has no obligation to modify, test, certify, or    ;
; support the code.                                                             ;
;*******************************************************************************;
